org.jbpm.executor.impl.jpa

## Class RequestInfoLogDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>
    - - org.jbpm.executor.impl.jpa.RequestInfoLogDeleteBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder

      public class RequestInfoLogDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>
      implements org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REQUES_INFO_LOG_DELETE`

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `executor, jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfoLogDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `RequestInfoLogDeleteBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.query.ParametrizedUpdate` | `build()`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `date(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `dateRangeStart(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `deploymentId(String... deploymentId)`
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `status(org.kie.internal.executor.api.STATUS... status)`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `checkIfNotNull, ensureDateNotTimestamp, getJpaAuditLogService, processId, processInstanceId`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `processId, processInstanceId`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

- - ### Field Detail

    - #### REQUES_INFO_LOG_DELETE

          public static String REQUES_INFO_LOG_DELETE

  - ### Constructor Detail

    - #### RequestInfoLogDeleteBuilderImpl

          public RequestInfoLogDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### RequestInfoLogDeleteBuilderImpl

          public RequestInfoLogDeleteBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### date

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder date(Date... date)

      Specified by:
        `date` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`
      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder dateRangeStart(Date rangeStart)

      Specified by:
        `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`
      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder dateRangeEnd(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder>`

    - #### deploymentId

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder deploymentId(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

    - #### build

          public org.kie.internal.query.ParametrizedUpdate build()

      Specified by:
        `build` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

    - #### status

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder status(org.kie.internal.executor.api.STATUS... status)

      Specified by:
        `status` in interface `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.